Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: 2.0.21.Final
    • Fix Version/s: None
    • Component/s: Servlet
    • Labels:
      None

      Description

      According to section 8.2.4 of Servlet 4.0 spec, all compliant containers must implement the plugin mechanism provided by javax.servlet.ServletContainerInitializer and Undertow is indeed advertised as such on the main page, but it doesn't do that (while, in fact, the mechanism has been around since 3.0 spec).

      Moreover, according to RESTEasy documentation section 48.4
      (https://docs.jboss.org/resteasy/docs/4.2.0.Final/userguide/html/CDI.html#d4e3000) setting the corresponding context-param isn't necessary within Servlet 3.0-compliant containers (corresponding mechanism defined in section 8.2.1 of Servlet 3.0 spec), but in fact for Undertow it is.

      Both things must be implemented in Undertow, or the lack of its (and potentially other such spec requirements) support must be explicitly advertised to end-users.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                flavia.rainone Flavia Rainone
                Reporter:
                zam0th Yog Sothoth
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: